Bug 95615 - Android: Changes in template lost
Summary: Android: Changes in template lost
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: ARM Android
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-05 18:28 UTC by raal
Modified: 2021-04-16 06:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test file - template (9.55 KB, application/vnd.oasis.opendocument.text-template)
2015-11-05 18:28 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2015-11-05 18:28:08 UTC
Created attachment 120304 [details]
test file - template

Steps:
Open template. For example Ott file
Write some words
Save

Actual results:
Changes lost. Ott file is unchanged, no new file exist.
Comment 1 Robinson Tryon (qubit) 2016-08-04 17:26:26 UTC
TESTING on Android 5.1.1 with:
  tinderbox: buildname: Android-ARM@24-Bytemark-Hosting
  tinderbox: tree: MASTER
  tinderbox: pull time 2016-08-04 00:59:32
  core:f2da3173f8

(In reply to raal from comment #0)
> Steps:
> Open template. For example Ott file
> Write some words
> Save
> 
> Actual results:
> Changes lost. Ott file is unchanged, no new file exist.

Can't open OTT files currently (see bug 99738). *Tentatively* moving this into NEW as editing OTT files on Android should work. Hopefully when 99738 is fixed, this bug will disappear and we'll get a 2-for-1 deal.

Status -> NEW
Comment 2 QA Administrators 2017-09-01 11:15:52 UTC Comment hidden (obsolete)
Comment 3 nick jonas 2019-05-28 07:22:04 UTC Comment hidden (spam)
Comment 4 Michael Weghorn 2021-04-15 15:12:28 UTC
Pending change: https://gerrit.libreoffice.org/c/core/+/114157
Comment 5 Commit Notification 2021-04-16 06:51:14 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/01521db61eb41447113c4bb671ac828a583c0cd1

tdf#95615 android: Don't offer "Save" after opening template

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Weghorn 2021-04-16 06:57:57 UTC
With the commit from comment 5 (and various parent commits), the "Save" menu entry is now disabled when opening templates. The recently introduced "Save As..." entry can be used to save the new document created from the template.